> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve External Video Embed



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/hub/{hub_id}/external-video-embeds
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hub/{hub_id}/external-video-embeds:
    post:
      tags:
        - community-external-video-embed
      summary: Resolve External Video Embed
      operationId: >-
        community_external_video_embed.post_community_external_video_embed_post_hub_by_hub_id_external_video_embeds
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/ExternalVideoEmbedResolveEnvelope'
        required: true
      responses:
        '201':
          content:
            application/vnd.api+json:
              schema:
                $ref: >-
                  #/components/schemas/JsonApiResponse_ExternalVideoEmbedAttributes_
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ExternalVideoEmbedResolveEnvelope:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/_ResolveData'
      required:
        - data
      title: ExternalVideoEmbedResolveEnvelope
      type: object
    JsonApiResponse_ExternalVideoEmbedAttributes_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_ExternalVideoEmbedAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[ExternalVideoEmbedAttributes]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    _ResolveData:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/ExternalVideoEmbedResolveAttributes'
        type:
          const: external_video_embed_requests
          title: Type
          type: string
      required:
        - type
        - attributes
      title: _ResolveData
      type: object
    JsonApiResource_ExternalVideoEmbedAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/ExternalVideoEmbedAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[ExternalVideoEmbedAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ExternalVideoEmbedResolveAttributes:
      additionalProperties: false
      properties:
        attachment_context:
          title: Attachment Context
          type: string
        context_target_id:
          title: Context Target Id
          type: string
        context_target_type:
          title: Context Target Type
          type: string
        parent_comment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Comment Id
        url:
          maxLength: 2048
          minLength: 1
          title: Url
          type: string
      required:
        - url
        - attachment_context
        - context_target_type
        - context_target_id
      title: ExternalVideoEmbedResolveAttributes
      type: object
    ExternalVideoEmbedAttributes:
      additionalProperties: false
      properties:
        canonical_url:
          title: Canonical Url
          type: string
        embed_url:
          title: Embed Url
          type: string
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        original_url:
          title: Original Url
          type: string
        provider:
          title: Provider
          type: string
        provider_resource_id:
          title: Provider Resource Id
          type: string
        status:
          title: Status
          type: string
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
      required:
        - provider
        - original_url
        - canonical_url
        - provider_resource_id
        - embed_url
        - title
        - thumbnail_url
        - width
        - height
        - status
      title: ExternalVideoEmbedAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````